function createNewUser() {
    const newUser = {}; // Створюємо порожній об'єкт

    const firstName = prompt("Введіть своє ім'я");
    const lastName = prompt("Введіть своє прізвище");

    newUser.firstName = firstName;
    newUser.lastName = lastName;

    newUser.getLogin = function () {
        return (this.firstName[0] + this.lastName).toLowerCase() // this вказує на поточний об'єкт, у контексті якого виконується цей код.
    }
    return newUser
}
const user = createNewUser();
console.log(user.getLogin())






/*
Теоретичні питання

1.Опишіть своїми словами, що таке екранування, і навіщо воно потрібне в мовах програмування
2.Які засоби оголошення функцій ви знаєте?
3.Що таке hoisting, як він працює для змінних та функцій?



1.Екранування - це процес екранування (escape) символів у тексті,
що вводиться користувачем або використовується в програмі. Це необхідно для того,
щоб уникнути конфліктів із зарезервованими символами, такими як лапки, кутові дужки та інші спеціальні символи,
 які можуть бути використані в рядкових літералах або командах мови програмування.

2.Засоби оголошення функцій, які я знаю:
Оголошення за допомогою ключового слова function
Оголошення за допомогою виразу Function
Оголошення за допомогою стрілочної функції
Оголошення за допомогою методу об'єкта
Оголошення за допомогою конструктора Function

3.Hoisting - це механізм, який використовується в JavaScript, для того,
щоб змінні та функції могли бути використані до їхнього фактичного оголошення.
При виконанні коду, JavaScript обробляє оголошення змінних та функцій перед тим, як починає виконувати код.
 Це означає, що змінні можуть бути використані перед їхнім оголошенням, але їх значення буде undefined.
 Функції можуть бути використані як і змінні, що може призвести до неочікуваних результатів.
  При цьому важливо пам'ятати, що hoisting діє тільки на оголошення змінних та функцій, а не на їхні значення.
 */